/* style.css */

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Manrope:wght@200..800&display=swap');

* {
  box-sizing: border-box;
}

/* Define the color variable */
:root {
  --primary-color: #1F1F1F;
  --yellow: #F6C343;
}

html, body {
    height: 100%;

}

html {
    background: #F4F4F6;
}



body {
    margin-top: -1rem;
    font-family: Inter;
    font-weight: 400;
    height: 100%;
    margin: 0;
}

h1, h2 { 
    font-family: Manrope;
}

.layout-container {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0 auto;
}

.region.region-header {
    max-width: 1440px;
    margin: 0 auto;
    display: flex;
    background: white;
    border-radius: 0 0 24px 24px;
    align-items: center;
    padding: 16px 32px;
}

header {
    flex: 0 0 auto;
}

#block-ic-idea-site-branding {
    flex: 0 0 150px;
}

#block-ic-idea-main-menu {
    flex: 1 1 auto;
}

.menu--main .menu {
    display: flex;
    justify-content: space-around;
}


/* ------------- VK MAx Call ------------------------------------ */

#block-ic-idea-vk-makh-zvonok {
    flex: 0 0 300px;
}

#block-ic-idea-vk-makh-zvonok .field__item {
    display: flex;
}

.social {
    display: flex;
    flex: 0 0 300px;
    align-items: center;
    justify-content: space-between;
}

.social_icon img {
    width: 32px;
    height: 32px;
}


/* ------------ BUTTONZ ---------------------------- */

.btn {
    display: flex;
    background: plum;
    padding: 16px;
}

.btn {
    display: flex;
    align-items: center;
    justify-content: center;
}

.big {
    padding: 16px;
    border-radius: 24px;
    width: 200px;
    height: 54px;
}

.yellow {
    background-color: var(--yellow);
}








main {
    flex: 1 0 auto;
}


footer {
    flex: 0 0 auto;
    background: #E5E7EB;
}

.region-footer {
    display: flex;
    justify-content: end;
    max-width: 1440px;
    margin: 0 auto;
}

#block-ic-idea-vk-makh-zvonok-2 {
    flex: 0 0 300px;
}